# $Revision: 1.10 $, $Date: 2009/06/12 07:41:44 $
%define		_modname	ffmpeg
Summary:	Extension to manipulate movie in PHP
Summary(pl.UTF-8):	Rozszerzenie do obróbki filmów w PHP
Name:		php-%{_modname}
Version:	0.6.0
Release:	4
License:	GPL
Group:		Development/Languages/PHP
Source0:	http://dl.sourceforge.net/ffmpeg-php/ffmpeg-php-%{version}.tbz2
# Source0-md5:	f779c0dbffda9dac54729d60c0e04c05
URL:		http://ffmpeg-php.sourceforge.net/
BuildRequires:	ffmpeg-devel >= 0.4.9
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	php-gd
BuildRequires:	rpmbuild(macros) >= 1.344
Requires:	php-common >= 4:5.0.4
Requires:	php-gd
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
php-ffmpeg is an extension for PHP that adds an easy to use,
object-oriented API for accessing and retrieving information from
video and audio files. It has methods for returning frames from movie
files as images that can be manipulated using PHP's image functions.
This works well for automatically creating thumbnail images from
movies. ffmpeg-php is also useful for reporting the duration and
bitrate of audio files (mp3, wma...). ffmpeg-php can access many of
the video formats supported by ffmpeg (mov, avi, mpg, wmv...).

%description -l pl.UTF-8
php-ffmpeg to rozszerzenie PHP dodające łatwe w użyciu, zorientowane
obiektowo API pozwalające na odtwarzanie informacji z plików filmów i
dźwiękowych. Zawiera metody zwracające ramki filmów jako obrazy, które
można obrabiać funkcjami PHP. Pozwala to automatycznie tworzyć
miniaturki obrazów z filmów. ffmpeg-php jest przydatne także do
uzyskiwania informacji o czasie trwania i paśmie plików dźwiękowych
(mp3, wma...). ffmpeg-php pozwala na dostęp do wielu formatów filmów
obsługiwanych przez ffmpeg (mov, avi, mpg, wmv...).

%prep
%setup -q -n ffmpeg-php-%{version}

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

# install config file
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog CREDITS EXPERIMENTAL LICENSE TODO test_ffmpeg.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-ffmpeg.spec,v $
Revision 1.10  2009/06/12 07:41:44  glen
- add missing %php_webserver_restart; rel 4

Revision 1.9  2008/11/01 22:01:29  blues
- rel.2

Revision 1.8  2008/10/27 08:28:27  hawk
- s/lib/lib64 not needed anymore

Revision 1.7  2008/10/21 15:14:08  hawk
- geez, release 1, I should go home ASAP

Revision 1.6  2008/10/21 15:13:40  hawk
- blah, I'm blind, updated to 0.6.0

Revision 1.5  2008/10/21 15:12:02  hawk
- updated to 0.5.3.1 but doesn't build with recent ffmpeg

Revision 1.4  2008-03-26 06:37:37  qboosh
- pl

Revision 1.3  2007-09-26 10:27:01  glen
- rel 1

Revision 1.2  2007/09/05 22:43:58  glen
- builds on amd64

Revision 1.1  2007/09/05 22:32:31  glen
- new, based on http://remi.collet.free.fr/rpms/extras/php-ffmpeg.spec
